AOZ Studio Beta - Bug #407

Print Using improperly handles ; or , at the end of the line.
07/04/2020 08:45 AM - Brian Flanagan

Status: Resolved Start date: 07/04/2020
Priority: High Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 2:00 hours
Target version:

Affected version: 1.0.0 (B6a)

Description

AOZ is apparently incorrectly assumes that either the ; or , indicates another variable name is to follow.
Hence, the "undefined" errors. Example:

#manifest: "pc"
#splashScreen: false
#speed: "safe"

#fps: false

Screen Open 0,640,400,8,Hires

gty=127 : rate#=12.53

Print Using "### pieces at ";qty;
Print Using "##.## per unit. ";rate#,

Print Using "Total cost: ####.##";gty*rate#
Print "Line 2"

NOTE: "Line 2" should be on the 2nd line of the display. Everything else should be on the first line.

There should be a larger spacing before "Total cost" due to the comma.

History

#1 - 09/19/2020 01:23 PM - Brian Flanagan

- Assignee set to AOZ Studio Team

- Priority changed from Normal to High

- Estimated time set to 2:00 h

- Affected version changed from 0.9.9.3 to Beta RC2

Re-tested in Beta RC2. This is still a problem.

#2 - 09/27/2020 05:53 PM - Francois Lionet
- Status changed from New to Resolved

- Assignee changed from AOZ Studio Team to Francois Lionet

Fixed!

#3 - 03/22/2021 02:48 PM - Brian Flanagan

- Status changed from Resolved to Feedback

- Affected version changed from Beta RC2 to 1.0.0 (B5)
Only partially fixed in version 1.0.0 (B5).

Semicolon works at end of line now.

Comma does NOT. It causes a type mismatch error.
#4 - 03/31/2021 05:27 PM - Brian Flanagan

- Affected version changed from 1.0.0 (B5) to 1.0.0 (B6a)
Comma at end of Print using still doesn't work in 1.0.0 (B6a).
It causes type mismatch error. Here's another example.
Test=123

Print Using "###"; Test,

Print " <<<"

The above SHOULD result in:

123 <<<

...but instead, fails.

#5 - 04/01/2021 02:25 PM - Francois Lionet

- Status changed from Feedback to Resolved

Fixed, and also the lack of dot when you did Print Using "##.## per unit. ";rate#, (it was taking the second dot in account instead of the first).
The example bnow prints fine on one line. :)
